#ifndef CVEHICULE_H_INCLUDED
#define CVEHICULE_H_INCLUDED

#include <irrlicht.h>

using namespace irr;

class CVehicule
{
    public:

	CVehicule( scene::ISceneManager*,video::IVideoDriver*);

	~CVehicule();

	enum
    {
        VEHICULE_TKF = 1,
        VEHICULE_TSF = 2,
        VEHICULE_TKD = 3
    };

	void SetType(u32);
    u32 GetType();
    void DrawVehicule(core::vector3df,core::vector3df);

    void setPosition(core::vector3df);
	core::vector3df getPosition();

	void setRotation(core::vector3df);
	core::vector3df getRotation();

    u32 numeroTroncon;
    f32 pas;
    u32 placeGareTKD; //pour les perches de tkd

    scene::IAnimatedMesh* meshAttachePerche;
    scene::IAnimatedMesh* meshPerche;
    scene::IMeshSceneNode* nodeAttachePerche;
    scene::IMeshSceneNode* nodePerche;
    video::SMaterial materialAttache;

	private:
    scene::ISceneManager* smgr;
    video::IVideoDriver* driver;
	u32 type;


};


#endif // CVEHICULE_H_INCLUDED
